Loading...
Searching...
No Matches
casacore::String_global_functions_split Struct Reference
casa package (libcasa_casa) » BasicSL_module

Splitting Global function which splits the String into string array res at separator and returns the number of elements. More...

`#include <String.h>`

## Public Member Functions

Int | split (const string &str, string res[], Int maxn, const string &sep)
Int | split (const string &str, string res[], Int maxn, const Char sep)
Int | split (const string &str, string res[], Int maxn, const Regex &sep)

## Detailed Description

Splitting Global function which splits the String into string array res at separator and returns the number of elements.

** Casacore addition

Definition at line 968 of file String.h.

## Member Function Documentation

## split() [1/3]

Int casacore::String_global_functions_split::split | ( | const string & | str,
|  | string | res[],
|  | Int | maxn,
|  | const Char | sep )

## split() [2/3]

Int casacore::String_global_functions_split::split | ( | const string & | str,
|  | string | res[],
|  | Int | maxn,
|  | const Regex & | sep )

## split() [3/3]

Int casacore::String_global_functions_split::split | ( | const string & | str,
|  | string | res[],
|  | Int | maxn,
|  | const string & | sep )

The documentation for this struct was generated from the following file:

- casa/BasicSL/String.h